SkyKrupp (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic.theme
Class SkyKrupp

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.looks.plastic.PlasticTheme
                  com.jgoodies.looks.plastic.theme.SkyBluer
                      com.jgoodies.looks.plastic.theme.AbstractSkyTheme
                          com.jgoodies.looks.plastic.theme.SkyKrupp

    public class SkyKrupp

extends AbstractSkyTheme

A theme with metal blue primary colors and a light gray window background.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

Constructor Summary
`SkyKrupp()`

Method Summary
`ColorUIResource` | `getFocusColor()`
`ColorUIResource` | `getMenuItemSelectedBackground()`
`ColorUIResource` | `getMenuItemSelectedForeground()`
`ColorUIResource` | `getMenuSelectedBackground()`
`String` | `getName()`
`protected ColorUIResource` | `getPrimary1()`
`protected ColorUIResource` | `getPrimary2()`
`protected ColorUIResource` | `getPrimary3()`

Methods inherited from class com.jgoodies.looks.plastic.theme.AbstractSkyTheme
`addCustomEntriesToTable, getPrimaryControlShadow, getSecondary1, getSecondary2, getSecondary3`

Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme
`equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextColor, getTitleTextFont, getToggleButtonCheckColor, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getSeparatorBackground, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkyKrupp

    public SkyKrupp()

Method Detail

### getName

    public String getName()

  Overrides:
    `getName` in class `SkyBluer`

### getPrimary1

    protected ColorUIResource getPrimary1()

  Overrides:
    `getPrimary1` in class `AbstractSkyTheme`

### getPrimary2

    protected ColorUIResource getPrimary2()

  Overrides:
    `getPrimary2` in class `AbstractSkyTheme`

### getPrimary3

    protected ColorUIResource getPrimary3()

  Overrides:
    `getPrimary3` in class `AbstractSkyTheme`

### getMenuItemSelectedBackground

    public ColorUIResource getMenuItemSelectedBackground()

  Overrides:
    `getMenuItemSelectedBackground` in class `AbstractSkyTheme`

### getMenuItemSelectedForeground

    public ColorUIResource getMenuItemSelectedForeground()

  Overrides:
    `getMenuItemSelectedForeground` in class `SkyBluer`

### getMenuSelectedBackground

    public ColorUIResource getMenuSelectedBackground()

  Overrides:
    `getMenuSelectedBackground` in class `SkyBluer`

### getFocusColor

    public ColorUIResource getFocusColor()

  Overrides:
    `getFocusColor` in class `SkyBluer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.